//Read SCI port
//Mon Nov 19 22:07:15 PST 2001
//Ben Lynn
/*
Copyright (C) 2002 Benjamin Lynn (blynn@cs.stanford.edu)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <stdio.h>
#include <stdlib.h>
#include "sci.h"

static char *program_name = "sciread";

int main(int argc, char **argv)
{
    SMMRegisters reg;
    int b;

    if (argc < 2) {
	printf("Usage: %s BX\n", program_name);
	return 0;
    }

    b = strtol(argv[1], NULL, 16);

    SciOpenInterface();
    reg.ebx = b;

    SciGet(&reg);
    printf("%04X %04X: %04X %04X\n", reg.eax, reg.ebx, reg.ecx, reg.edx);
    SciCloseInterface();
    return 0;
}
